<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns="http://www.w3.org/1999/xhtml">
  <!-- param name = ipc, the TeleRadiologyProcedure to fill out -->
  <s:decorate template="/layout/edit.xhtml">
    <ui:define name="label">#{messages['gazelle.ordermanager.AccessionIdentifier']}</ui:define>
    <h:inputText value="#{ipc.accessionIdentifier}"/>
  </s:decorate>
  <s:decorate template="/layout/edit.xhtml">
    <ui:define name="label">#{messages['gazelle.ordermanager.RequestedProcedureId']}</ui:define>
    <h:inputText value="#{ipc.requestedProcedureId}"/>
  </s:decorate>
  <s:decorate template="/layout/edit.xhtml">
    <ui:define name="label">#{messages['gazelle.ordermanager.StudyInstanceUID']}</ui:define>
    <h:inputText value="#{ipc.studyInstanceUid}"/>
  </s:decorate>
  <s:decorate template="/layout/edit.xhtml">
    <ui:define name="label">#{messages['gazelle.ordermanager.ProtocolCode']}</ui:define>
    <h:inputText value="#{ipc.protocolCode}"/>
  </s:decorate>
  <s:decorate template="/layout/edit.xhtml">
    <ui:define name="label">#{messages['gazelle.ordermanager.Modality']}</ui:define>
    <h:selectOneMenu value="#{ipc.modality}">
      <f:selectItems value="#{valueSet.getListOfConcepts('troModality')}"/>
    </h:selectOneMenu>
  </s:decorate>
</ui:composition>
